var
  n, i, j: longint;
  s: string;
begin
  assign(output, '05');
  rewrite(output);

  s := 'abcdefghijklmnopqrstuvwxyz';
  n := 10;
  writeln(n);
  randomize;
  for i := 1 to n do
  begin
    for j := 1 to random(20) + 1 do
      write(s[random(26) + 1]);
    writeln;
  end;
end.